<?php

class MysqlConsulta
{

public function valorBruto($loja,$user,$mydesconto,$myfabricante,$conexao){

    $query1 = "SELECT  sum(valorbruto) as valorbruto					
    
    FROM view_vendas

    WHERE loja = '$loja'
    
    AND usuario = '$user'
    $mydesconto
    $myfabricante					  
    
    ORDER BY valorbruto DESC ";

    //fazendo a consulta no banco de dados
    $result1 = mysqli_query($conexao, $query1);
    $row1 = mysqli_fetch_assoc($result1);

    return $row1['valorbruto'];
}

public function PrecoAlterado($loja){
    require "../script_php/conexao.php";

$query1 = "SELECT 
INICIAL.EAN AS BARRAS,
INICIAL.DESCRICAO AS DESCRICAO,
INICIAL.PRECO AS PRECO_ANTERIOR,
ATUAL.PRECO AS PRECO_ATUALIZADO

FROM 
preco_inicial AS INICIAL
LEFT JOIN preco_atual AS ATUAL
ON INICIAL.COD_COL_PRECO = ATUAL.COD_COL_PRECO_ATUAL

WHERE
INICIAL.LOJA = '$loja'
AND INICIAL.PRECO <> ATUAL.PRECO;";

    //fazendo a consulta no banco de dados
    $result1 = mysqli_query($conexao, $query1);
   

    return $result1;
}


public function data()
{
    require "../script_php/conexao.php";

    $data = date('Y-m-d');
    
    $query1 = "INSERT INTO config (IMPORTACAO_PRECO_DATA) VALUE ('$data')";
        
    $result1 = mysqli_query($conexao, $query1); 
    
    return $result1;
}

public function buscarImportacao($data){

    require "../script_php/conexao.php";

    $query1 = "SELECT IMPORTACAO_PRECO_DATA FROM config WHERE IMPORTACAO_PRECO_DATA = '$data' ";
    //fazendo a consulta no banco de dados
    $result1 = mysqli_query($conexao, $query1);
    $row1 = mysqli_fetch_assoc($result1);

    return $row1['IMPORTACAO_PRECO_DATA'];
}





public function produtosEtiquetas(){

    require "../../script_php/conexao.php";
 

    $query1 = "SELECT * FROM etiquetas";
    //fazendo a consulta no banco de dados
    $result1 = mysqli_query($conexao, $query1);

    return $result1;

   
}


public function listarProdEtiquetas(){

    require "script_php/conexao.php";
 
    $usuario = $_SESSION['usuario'];
    
    $query1 = "SELECT * FROM etiquetas";
    //fazendo a consulta no banco de dados
    
    $result1 = mysqli_query($conexao, $query1);
    //$row1 = mysqli_fetch_assoc($result1);
   
    return $result1;

   
}




public function produtosEtiquetasCadastrar($descricao,$preco) {
    require "../../script_php/conexao.php";

    $usuario = $_SESSION['usuario'];


    // Comando SQL de inserção
    $query = "INSERT INTO etiquetas (descricao, preco,usuario_emit) VALUES ('$descricao', '$preco','$usuario')";

    // Executando o comando SQL
    $result = mysqli_query($conexao, $query);

    // Verificando se a inserção foi bem sucedida
    if ($result) {
        // Inserção bem sucedida
        return true;
    } else {
        // Inserção falhou
        return false;
    }
}













}